in vec2 fragTexCoord;
in vec4 fragColor;

uniform sampler2D texture0;

// uniform vec2 resolution;

out vec4 finalColor;

void main() {
	vec3 texelRgb = texture(texture0, fragTexCoord).rgb;

	finalColor = vec4(texelRgb, 1.0);

#if (__VERSION__ == 100)
	gl_FragColor = finalColor;
#endif
}
